/*
 * config.hpp
 *
 *  Created on: Dec 31, 2023
 *      Author: Dario
 */

#ifndef STA_CONFIG_HPP
#define STA_CONFIG_HPP

#define STA_STM32_ASEAG
#include <sta/devices/stm32/mcu/STM32F407xx.hpp>

// Enable debug serial output and assertions.
#define STA_ASSERT_ENABLED
#define STA_DEBUGGING_ENABLED

// Use the default configs for TACOS
#include <sta/tacos/configs/default.hpp>

#define STA_TACOS_NUM_STATES 3

#endif // STA_CONFIG_HPP
